kind: Route
apiVersion: route.openshift.io/v1
metadata:
  name: idp-provider
spec:
  to:
    kind: Service
    name: egendata-identity-provider
    weight: 100
  tls:
    termination: edge
    insecureEdgeTerminationPolicy: Redirect